import "./org_chart.less";
import OrgChart from "@/components/org/OrgChart";
import { OrgChartNodeDataType } from "@/components/org";

const OrgChartSelf = () => {
  const data: OrgChartNodeDataType = {
    key: 0,
    label: "黄水武装",
    children: [
      {
        key: 1,
        label: "武装部长",
        children: [
          {
            key: 11,
            label: "文物社区支部",
            children: [
              {
                key: 21,
                label: "wangpeng",
              },
              {
                key: 22,
                label: "wangpeng1",
              },
            ],
          },
          {
            key: 12,
            label: "花龙村支部",
            children: [
              {
                key: 22,
                label: "一组",
              },
              {
                key: 24,
                label: "二组",
                children: [
                  {
                    key: 23,
                    label: "王鹏",
                  },
                  {
                    key: 29,
                    label: "王鹏1",
                  },
                ]
              },
            ],
          },
          { key: 13, label: "云华社区支部", children: [
            {
              key: 26,
              label: "一组",
            },
            {
              key: 28,
              label: "二组",
            },
          ],},
        ],
      },
      {
        key: 2,
        label: "教导员",
        children: [],
      },
    ],
  };

  return (
    <>
      <OrgChart
        data={data}
        direction={"horizontal"}
        renderNode={(e) => {
          return <div style={{textAlign:"center"}}>
            <img width={70} height={70} src="https://ww3.sinaimg.cn/mw690/006i0nC8ly1hpzqtw0eibj31o01o0kd2.jpg" alt="" />
            <span style={{ color: "#fff",display:"block" }}>{e.label}</span>
          </div>
        }}
      />
    </>
  );
};
const data = [
  {
    depName: "镇武装部党委",
    depId: 1,
    userList: [
      {
        position: "武装部长",
        userName: "李部长",
        userId: 1,
      },
      {
        position: "教导员",
        userName: "王教导",
        userId: 2,
      },
    ],
    children: [
      {
        depName: " 武装力量党支部",
        depId: 2,
        children: [
          {
            depName: " 文武社区支部",
            depId: 3,
            children: [
              {
                depName: " 一小组",
                depId: 6,
                userList: [
                  {
                    position: "一小组长",
                    userName: "一小组长1",
                    userId: 6,
                  },
                  {
                    position: "二小组长12",
                    userName: "二小组长2",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王小三3",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四4",
                    userId: 12,
                  },
                  {
                    position: "二小组长34",
                    userName: "二小组长5",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王小三6",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四7",
                    userId: 13,
                  },
                ],
              },
              {
                depName: " 二小组",
                depId: 7,
                userList: [
                  {
                    position: "二小组长8",
                    userName: "二小组长9",
                    userId: 7,
                  },
                  {
                    position: "二小组长10",
                    userName: "二小组长11",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王小三14",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四",
                    userId: 12,
                  },
                ],
              },
            ],
            userList: [
              {
                position: "文武社区支部书记",
                userName: "书记名称",
                userId: 3,
              },
            ],
          },
          {
            depName: " 花龙村支部",
            depId: 4,
            children: [
              {
                depName: " 一小组",
                depId: 7,
                userList: [
                  {
                    position: "一小组长",
                    userName: "一小组长",
                    userId: 7,
                  },
                  {
                    position: "二小组长2",
                    userName: "二小组长11",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王小三",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四12",
                    userId: 12,
                  },
                  {
                    position: "二小组长3",
                    userName: "二小组长",
                    userId: 8,
                  },

                  {
                    position: "战士",
                    userName: "王小四32",
                    userId: 12,
                  },
                ],
              },
              {
                depName: " 二小组",
                depId: 8,
                userList: [
                  {
                    position: "二小组长4",
                    userName: "二小组长4",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王小三",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四12",
                    userId: 12,
                  },
                  {
                    position: "战士",
                    userName: "王小五",
                    userId: 13,
                  },
                ],
              },
            ],
            userList: [
              {
                position: "花龙村支部书记",
                userName: "书记名称",
                userId: 4,
              },
            ],
          },
          {
            depName: " 云华社区支部",
            depId: 5,
            children: [
              {
                depName: " 一小组",
                depId: 8,
                userList: [
                  {
                    position: "一小组长",
                    userName: "小组长",
                    userId: 8,
                  },
                  {
                    position: "战士",
                    userName: "王喜哦",
                    userId: 12,
                  },
                  {
                    position: "战士",
                    userName: "王喜吃",
                    userId: 13,
                  },
                ],
              },
              {
                depName: " 二小组",
                depId: 9,
                userList: [
                  {
                    position: "二小组长5",
                    userName: "小组长",
                    userId: 9,
                  },
                  {
                    position: "战士",
                    userName: "王小二",
                    userId: 10,
                  },
                  {
                    position: "战士",
                    userName: "王小三",
                    userId: 11,
                  },
                  {
                    position: "战士",
                    userName: "王小四3",
                    userId: 12,
                  },
                  {
                    position: "战士",
                    userName: "王小五",
                    userId: 13,
                  },
                ],
              },
            ],
            userList: [
              {
                position: "云华社区支部书记",
                userName: "书记名称",
                userId: 5,
              },
            ],
          },
        ],
      },
    ],
  },
];
export default OrgChartSelf;
