import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const columns: ColumnsType<UserDataType> = [
  {
    title: "仓库名称",
    dataIndex: "stash_name",
  },
  {
    title: "仓库位置信息",
    dataIndex: "stash_position",
  },
  {
    title: "仓库描述",
    dataIndex: "stash_desc",
    ellipsis: true,
  },
  {
    title: "监控链接",
    dataIndex: "monitoring_url",
  },
  {
    title: "是否为第三方仓库",
    dataIndex: "is_other",
  },
  {
    title: "三方仓库仓库所有者",
    dataIndex: "stash_holder",
  },
  {
    title: "三方仓库联系方式",
    dataIndex: "holder_contact_info",
  },
];

export const defaultConfig = [
  {
    type: FormType.input,
    label: "仓库名称",
    name: "stash_name",
    value: "",
    rules: [{ required: true, message: "请输入仓库名称!" }],
  },
  {
    type: FormType.input,
    label: "仓库位置信息",
    name: "stash_position",
    value: "",
    rules: [{ required: true, message: "请输入仓库位置信息!" }],
  },
  {
    type: FormType.input,
    label: "仓库描述",
    name: "stash_desc",
    value: "",
    rules: [{ required: true, message: "请输入仓库描述" }],
  },
  {
    type: FormType.radio,
    label: "是否为第三方仓库",
    name: "is_other",
    value: 1,
    radioData: [
      {
        key: "是",
        val: 1,
      },
      {
        key: "否",
        val: 2,
      },
    ],
    rules: [{ required: true, message: "请选择是否为第三方仓库" }],
  },
  {
    type: FormType.input,
    label: "监控链接",
    name: "monitoring_url",
    value: "",
  },
  {
    type: FormType.input,
    label: "三方仓库仓库所有者",
    name: "stash_holder",
    value: "",
  },
  {
    type: FormType.input,
    label: "三方仓库联系方式",
    name: "holder_contact_info",
    value: "",
  },
];
